# OpenQuake Engine

![OpenQuake Logo](https://www.globalquakemodel.org/media/storage/oq-logo.png)

The **OpenQuake Engine** is an open source application that allows users to compute **seismic hazard** and **seismic risk** of earthquakes on a global scale. It runs on Linux, macOS and Windows, on laptops, workstations, standalone servers and multi-node clusters.

<!-- GEM BEGIN: apply the following patch with the proper values for the next release
-Jenkins (Python 2): [![Build Status](https://ci.openquake.org/job/master_oq-engine/badge/icon)](https://ci.openquake.org/job/master_oq-engine/)
+## OpenQuake Engine version 2.3 (Degenkolb)
 
-Travis CI (Python 3): [![Build Status](https://travis-ci.org/gem/oq-engine.svg?branch=master)](https://travis-ci.org/gem/oq-engine)
+Starting from OpenQuake version 2.0 we have introduced a "code name" to honour earthquake scientists.
 
-### Current stable
+The code name for version 2.3 is **Degenkolb**, in memory of [Henry Degenkolb](https://en.wikipedia.org/wiki/Henry_J._Degenkolb).
+* [What's new](https://github.com/gem/oq-engine/blob/engine-2.3/doc/whats-new.md)
 
-Current stable version is the **OpenQuake Engine 2.2** 'Cornell'. The documentation is available at https://github.com/gem/oq-engine/tree/engine-2.2#openquake-engine.
-* [What's new](https://github.com/gem/oq-engine/blob/engine-2.2/doc/whats-new.md)

+## Documentation
-## Documentation (master tree)
-->

## OpenQuake Engine version 2.4 (Ewing)

Starting from OpenQuake version 2.0 we have introduced a "code name" to honour earthquake scientists.

The code name for version 2.4 is **Ewing**, in memory of [Maurice Ewing](https://en.wikipedia.org/wiki/Maurice_Ewing).
* [What's new](https://github.com/gem/oq-engine/blob/engine-2.4/doc/whats-new.md)

## Documentation
<!-- GEM END -->
### General overview

* [About](https://github.com/gem/oq-engine/blob/engine-2.4/doc/about.md)
* [FAQ](https://github.com/gem/oq-engine/blob/engine-2.4/doc/faq.md)
* [Manuals](http://www.globalquakemodel.org/openquake/support/documentation/engine/#manual-latest-stable)
* [Source Code/API Documentation](http://docs.openquake.org/oq-engine/)
* [Development Philosophy and Coding Guidelines](https://github.com/gem/oq-engine/blob/engine-2.4/doc/development-guidelines.md)
* [Developers Notes](https://github.com/gem/oq-engine/blob/engine-2.4/doc/developers-notes.md)
* [Architecture](https://github.com/gem/oq-engine/blob/engine-2.4/doc/sphinx/architecture.rst)
* [Calculation Workflow](https://github.com/gem/oq-engine/blob/engine-2.4/doc/calculation-workflow.md)
* [Hardware Suggestions](https://github.com/gem/oq-engine/blob/engine-2.4/doc/hardware-suggestions.md)
* [Continuous integration and testing](https://github.com/gem/oq-engine/blob/engine-2.4/doc/testing.md)
* [Glossary of Terms](https://github.com/gem/oq-engine/blob/engine-2.4/doc/glossary.md)

### Installation

* [Technology stack and requirements](https://github.com/gem/oq-engine/blob/engine-2.4/doc/requirements.md)
* [Which installation method should I use?](https://github.com/gem/oq-engine/blob/engine-2.4/doc/installing/overview.md)

#### Linux

* [Installing on Ubuntu](https://github.com/gem/oq-engine/blob/engine-2.4/doc/installing/ubuntu.md)
* [Installing on RedHat and derivates](https://github.com/gem/oq-engine/blob/engine-2.4/doc/installing/rhel.md)
* [Installing on other flavors](https://github.com/gem/oq-engine/blob/engine-2.4/doc/installing/linux-generic.md)
* [Installing from sources](https://github.com/gem/oq-engine/blob/engine-2.4/doc/installing/development.md)
* [Installing on a cluster](https://github.com/gem/oq-engine/blob/engine-2.4/doc/installing/cluster.md)

#### macOS

* [Installing on macOS](https://github.com/gem/oq-engine/blob/engine-2.4/doc/installing/macos.md)
* [Installing from sources](https://github.com/gem/oq-engine/blob/engine-2.4/doc/installing/development.md)

#### Windows

* [Installing on Windows](https://github.com/gem/oq-engine/blob/engine-2.4/doc/installing/windows.md)
* [Starting the software](https://github.com/gem/oq-engine/blob/engine-2.4/doc/running/windows.md)

#### VirtualBox

* [Download OVA appliance](https://www.globalquakemodel.org/ova/stable/)

#### Docker

* [Deploy a Docker container](https://github.com/gem/oq-engine/blob/engine-2.4/doc/installing/docker.md)

### Running the OpenQuake Engine

* [Using the command line](https://github.com/gem/oq-engine/blob/engine-2.4/doc/running/unix.md)
* [Using the WebUI](https://github.com/gem/oq-engine/blob/engine-2.4/doc/running/server.md)


## License

The OpenQuake Engine is released under the **[GNU Affero Public License 3](https://github.com/gem/oq-engine/blob/engine-2.4/LICENSE)**.

## Contacts

* Support forum: https://groups.google.com/forum/#!forum/openquake-users
* Twitter: [@gem_devs](https://twitter.com/gem_devs)
* Email: info@openquake.org
* IRC: [irc.freenode.net](https://webchat.freenode.net/), channel #openquake

## Thanks

The OpenQuake Engine is developed by the **[Global Earthquake Model Foundation (GEM)](http://gem.foundation)** with the support of
![](https://www.globalquakemodel.org/media/sponsor/aus.png)
![](https://www.globalquakemodel.org/media/sponsor/cidigen.png)
![](https://www.globalquakemodel.org/media/sponsor/sg_170x104.jpg)
![](https://www.globalquakemodel.org/media/sponsor/gfz.png)
![](https://www.globalquakemodel.org/media/sponsor/pcn.jpg)
![](https://www.globalquakemodel.org/media/sponsor/nied.png)
![](https://www.globalquakemodel.org/media/sponsor/nset.png)
![](https://www.globalquakemodel.org/media/sponsor/morst.jpg)
![](https://www.globalquakemodel.org/media/sponsor/RCN.jpg)
![](https://www.globalquakemodel.org/media/sponsor/swiss_1.jpg)
![](https://www.globalquakemodel.org/media/sponsor/tem.jpg)
![](https://www.globalquakemodel.org/media/sponsor/TCIP-01.png)
![](https://www.globalquakemodel.org/media/sponsor/nerc.png)
![](https://www.globalquakemodel.org/media/sponsor/usaid_BsOsE8Z_QZnaG6c.jpg)
![](https://www.globalquakemodel.org/media/sponsor/FUNVISIS_GEM_logo.png)

***

![](https://www.globalquakemodel.org/media/sponsor/FMGlobal.jpg)
![](https://www.globalquakemodel.org/media/sponsor/hannoverRe.jpg)
![](https://www.globalquakemodel.org/media/sponsor/Nephila.jpg)
![](https://www.globalquakemodel.org/media/sponsor/munichre_HwOCwR4.jpg)
![](https://www.globalquakemodel.org/media/sponsor/zurich_3eh504q.jpg)
![](https://www.globalquakemodel.org/media/sponsor/Air_JlQh6Ke.jpg)
![](https://www.globalquakemodel.org/media/sponsor/sur_170x104.jpg)
![](https://www.globalquakemodel.org/media/sponsor/EUCENTRE_BRAw8x4.jpg)
![](https://www.globalquakemodel.org/media/sponsor/GiroJ.jpg)
![](https://www.globalquakemodel.org/media/sponsor/arup.jpg)
![](https://www.globalquakemodel.org/media/sponsor/OYO_1.jpg)

***

![](https://www.globalquakemodel.org/media/sponsor/OECD.jpg)
![](https://www.globalquakemodel.org/media/sponsor/worldbank_2.jpg)
![](https://www.globalquakemodel.org/media/sponsor/ISDR.jpg)
![](https://www.globalquakemodel.org/media/sponsor/Unesco.jpg)
![](https://www.globalquakemodel.org/media/sponsor/iaspei.jpg)
![](https://www.globalquakemodel.org/media/sponsor/iaee.jpg)
![](https://www.globalquakemodel.org/media/sponsor/istructe.jpg)
![](https://www.globalquakemodel.org/media/sponsor/cssc.jpg)
![](https://www.globalquakemodel.org/media/sponsor/IRDRICSU.png)
![](https://www.globalquakemodel.org/media/sponsor/EERI_GEM.png)

If you would like to help support development of OpenQuake, please contact us at [partnership@globalquakemodel.org](mailto:partnership@globalquakemodel.org).
For more info visit the GEM website at https://www.globalquakemodel.org/gem/organisation/partners/
